/*=========================================================================
This file is part of Broken Soul.

    Broken Soul is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	Broken Soul is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with Broken Soul.  If not, see <http://www.gnu.org/licenses/>.
============================================================================*/


#include "include/Persona.hpp"

char *Persona::getNome()
{
	return _nome;
}

void Persona::setNome(char nome[])
{
	strcpy(_nome, nome);
}

s32 Persona::getExperienciaMax (){
	return _experiencia_max;
}

void Persona::setExperienciaMax(s32 experiencia_max){
	_experiencia_max = experiencia_max;
}

u8 Persona::getStatus()
{
	return _status;
}

void Persona::setStatus(u8 status)
{
	_status = status;
}

u8 Persona::getAtaque(int nAtaque)
{
	return _ataque[nAtaque];
}

void Persona::setAtaque(int nAtaque, u8 ataque)
{
	_ataque[nAtaque] = ataque;
}
		
u8 Persona::getDefesa(int nDefesa)
{
	return _defesa[nDefesa];
}

void Persona::setDefesa(int nDefesa, u8 defesa)
{
	_defesa[nDefesa] = defesa;
}

u16 Persona::getHp()
{
	return _hp;
}

void Persona::setHp(u16 hp)
{
	_hp = hp;
}

u8 Persona::getPtsAtaque()
{
	return _pts_ataque;
}

void Persona::setPtsAtaque(u8 pts_ataque)
{
	_pts_ataque = pts_ataque;
}

s32 Persona::getExperiencia()
{
	return _experiencia;
}

void Persona::setExperiencia(s32 experiencia)
{
	_experiencia = experiencia;
}

s32 Persona::getTempoAtaque(int nAtaque)
{
	return _tempoAtaque[nAtaque];
}

void Persona::setTempoAtaque(int nAtaque, s32 tempoAtaque)
{
	_tempoAtaque[nAtaque] = tempoAtaque;
}

s32 Persona::getTempoDefesa(int nDefesa)
{
	return _tempoDefesa[nDefesa];
}

void Persona::setTempoDefesa(int nDefesa, s32 tempoDefesa)
{
	_tempoDefesa[nDefesa] = tempoDefesa;
}
		
s32 Persona::getPosicaoCenarioX()
{
	return _posicaoCenario[0];
}

void Persona::setPosicaoCenarioX(s32 posicaoCenarioX)
{
	_posicaoCenario[0] = posicaoCenarioX;
}

s32 Persona::getPosicaoCenarioY()
{
	return _posicaoCenario[1];
}

void Persona::setPosicaoCenarioY(s32 posicaoCenarioY)
{
	_posicaoCenario[1]= posicaoCenarioY;
}

s32 Persona::getScrollX()
{
	return _scroll[0];
}

void Persona::setScrollX(s32 scrollX)
{
	_scroll[0] = scrollX;
}

s32 Persona::getScrollY()
{
	return _scroll[1];
}

/*s32 Persona::getScrollY_NPC()
{
	return _scrollY_NPC;
}*/

void Persona::setScrollY(s32 scrollY)
{
	_scroll[1] = scrollY;
}

/*void Persona::setScrollY_NPC (s32 scrollY_NPC)
{
	_scrollY_NPC = scrollY_NPC;
}*/

s32 Persona::getVelocidade()
{
	return _velocidade;
}

void Persona::setVelocidade(s32 velocidade)
{
	_velocidade = velocidade;
}

s32 Persona::getRaioColisao()
{
	return _raioColisao;
}

void Persona::setRaioColisao(s32 raio)
{
	_raioColisao = raio;
}

s32 Persona::getPosicaoTelaX()
{
	return _posicaoTela[0];
}

void Persona::setPosicaoTelaX(s32 posicaoTelaX)
{
	_posicaoTela[0] = posicaoTelaX;
}

s32 Persona::getPosicaoTelaY()
{
	return _posicaoTela[1];
}

void Persona::setPosicaoTelaY(s32 posicaoTelaY)
{
	_posicaoTela[1] = posicaoTelaY;
}

u8 Persona::getDirecao()
{
	return _direcao;
}

void Persona::setDirecao(u8 direcao)
{
	_direcao = direcao;
}
