/*=========================================================================
This file is part of Broken Soul.

    Broken Soul is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	Broken Soul is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with Broken Soul.  If not, see <http://www.gnu.org/licenses/>.
============================================================================*/

#include "include/Sound.hpp"

void playMP3(char *nomeArquivo)
{
	char caminhoArquivo[256];
	sprintf(caminhoArquivo, "sfx/%s.mp3", nomeArquivo);
	AS_MP3StreamPlay(caminhoArquivo);
}

void stopMP3()
{
	AS_MP3Stop();
}

void carregaEfeito(const char *referencia, const char *nomeEfeito)
{
	NF_LoadFatSfx(referencia, nomeEfeito);
}

void playEfeito(const char *referencia)
{
	NF_PlaySfx(referencia);
}

void descarregaEfeito(const char *referencia)
{
	NF_UnloadSfx(referencia);
}

