/*==========================================================================
This file is part of Broken Soul.

    Broken Soul is free software: you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        Broken Soul is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with Broken Soul.  If not, see <http://www.gnu.org/licenses/>.
==========================================================================*/

#ifndef ITEM_HPP
#define ITEM_HPP

#include <PA9.h>
#include <iostream>
#include <string>
#include "definicoes.hpp"

class Item{
	public:
		char *getNome();
		u8 getId();
		s16 getAdicionaHp();
		s8 getAdicionaMp();
		s8 getQtde ();
		s8 getTipoItem();
		
		void setNome(char nome[]);
		void setId(u8 Id);
		void setAdicionaHp(s16 hp);
		void setAdicionaMp(s8 mp);
		void setQtde (s8 qtde);
		void setTipoItem(s8 tipo);

	protected:
		char _nome[20];
		u8 _id;
		s16 _hp;
		s8 _mp;
		s8 _qtde;
		s8 _tipoItem;
};
#endif
