/*=========================================================================
This file is part of Broken Soul.

    Broken Soul is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	Broken Soul is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with Broken Soul.  If not, see <http://www.gnu.org/licenses/>.
=========================================================================*/

#ifndef NUMERO_HPP
#define NUMERO_HPP

#include <PA9.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <cstdlib>
using namespace std;
#include "definicoes.hpp"
#include "comumLib.hpp"

class Numero{
	public:
		int  getNumPos ();
		int  getContSubiu ();
		int  getId();
		int  getDano();
		bool getAtivo();
		char *getNomeArquivo();
		
		s32  getX ();
		s32  getY ();
		
		void setDano(int dano);
		void setId(int id);
		void setY (s32 x);
		void setX (s32 y);
		void setNumPos  (int i);
		void setContSubiu (int cont);
		void setAtivo(bool ativo);
		void setNomeArquivo(char nomeArquivo[]);
		void carregaNum ();
		void posiciona (int i, s32 X, s32 Y);
		void atualizaPosicao ();

	private:
		s32 _x,
			_y;

		bool _ativo;

		int _id,
			_cont_subiu,
			_dano;

		char _nomeArquivo[25];
};

#endif
