/*=========================================================================
This file is part of Broken Soul.

    Broken Soul is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	Broken Soul is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with Broken Soul.  If not, see <http://www.gnu.org/licenses/>.
=========================================================================*/
#ifndef COLISAO_HPP
#define COLISAO_HPP
#include "Heroi.hpp"

#include "../gfx/caverna/cenarioCavernaMap.c"
#include "../gfx/caverna/cenarioCaverna2Map.c"
#include "../gfx/caverna/cenarioCaverna3Map.c"
#include "../gfx/cidade/cidadeMap.c"
#include "../gfx/mapa/mapaMap.c"
#include "../gfx/deserto/desertoMap.c"
#include "../gfx/deserto/deserto2Map.c"
#include "../gfx/castelo/casteloMap.c"
#include "../gfx/inn/innMap.c"
#include "../gfx/floresta/floresta1Map.c"
#include "../gfx/floresta/floresta2Map.c"
#include "../gfx/Rocha/RochaMap.c"
#include "../gfx/batalhaCaverna/batalhaCavernaMap.c"
#include "../gfx/batalhaMapa/batalhaMapaMap.c"
#include "../gfx/batalhaDeserto/batalhaDesertoMap.c"
#include "../gfx/batalhaFloresta/batalhaFlorestaMap.c"
#include "../gfx/batalhaRocha/batalhaRochaMap.c"
#include "../gfx/vulcao/vulcao1Map.c"
#include "../gfx/vulcao/vulcao2Map.c"

u8 temColisao(s32 posicaoX, s32 posicaoY, u16 angulo, const char* referencia, u8 *colisaoH, u8 *colisaoV);

u8 colidePersonagem(s32 posicao1X, s32 posicao1Y, s32 posicao2X, s32 posicao2Y, u8 raio);

#endif
