//Gfx converted using Mollusk's PAGfx Converter

//This file contains all the .h, for easier inclusion in a project

#ifndef NF_FONT_H
#define NF_FONT_H

#ifndef PAGfx_struct
    typedef struct{
    void *Map;
    int MapSize;
    void *Tiles;
    int TileSize;
    void *Palette;
    int *Info;
} PAGfx_struct;
#endif



// Fuente ERROR
extern const int fuente_error_Info[3]; // BgMode, Width, Height
extern const unsigned short fuente_error_Map[768] __attribute__ ((aligned (4))) ;  // Pal : fuente_error_Pal
extern const unsigned char fuente_error_Tiles[5760] __attribute__ ((aligned (4))) ;  // Pal : fuente_error_Pal
extern PAGfx_struct fuente_error; // background pointer

// Fuente SYSTEM
extern const int fuente_system_Info[3]; // BgMode, Width, Height
extern const unsigned short fuente_system_Map[768] __attribute__ ((aligned (4))) ;  // Pal : fuente_system_Pal
extern const unsigned char fuente_system_Tiles[5760] __attribute__ ((aligned (4))) ;  // Pal : fuente_system_Pal
extern PAGfx_struct fuente_system; // background pointer

// Fondo
extern const int bg_system_Info[3]; // BgMode, Width, Height
extern const unsigned short bg_system_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : bg_system_Pal
extern const unsigned char bg_system_Tiles[1920] __attribute__ ((aligned (4))) ;  // Pal : bg_system_Pal
extern PAGfx_struct bg_system; // background pointer

// Paletas 
extern const unsigned short fuente_error_Pal[9] __attribute__ ((aligned (4))) ;
extern const unsigned short fuente_system_Pal[9] __attribute__ ((aligned (4))) ;
extern const unsigned short bg_system_Pal[8] __attribute__ ((aligned (4))) ;



#endif

