
#include "include/splash.hpp"

void splash (){
	PA_ResetBgSys();

	PA_SetBrightness(0, -31); // all black
	PA_SetBrightness(1, -31); // all black
	
	// Load splash from fat
	NF_LoadFatBg("compo_top", "compo_top");
	NF_LoadRamBg(1, 3, "compo_top");

	NF_LoadFatBg("compo_bottom", "compo_bottom");
	NF_LoadRamBg(0, 3, "compo_bottom");

	s8 i;
	// Transition to normal visible background
	for(i = -31; i <= 0; i++){
		PA_SetBrightness(0, i); 
		PA_SetBrightness(1, i); 
		PA_WaitForVBL();		   
	}   

	s16 time = 180; // 180 frames = 3 seconds
	while(time && (!Pad.Newpress.Anykey) && (!Stylus.Newpress)){ // Display until time over or keys pressed
		time--; // time goes by
		PA_WaitForVBL();
	}		
	
	// Transition to black
	for(i = 0; i > -32; i--){
		PA_SetBrightness(0, i); 
		PA_SetBrightness(1, i); 
		PA_WaitForVBL();		   
	}  	

	// Now that it's all black, clean all that and you're ready to go !
	NF_UnloadBg("compo_top");
	NF_UnloadBg("compo_bottom");
	PA_ResetBgSys();
	PA_SetBrightness(0, 0); // normal
	PA_SetBrightness(1, 0); // normal
}
