#============================================================================
#This file is part of Broken Soul.
#
#    	Broken Soul is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#	
#	Broken Soul is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#	
#	You should have received a copy of the GNU General Public License
#	along with Broken Soul.  If not, see <http://www.gnu.org/licenses/>.
#===========================================================================

# Script que gera os sprites
#
# Autor: Nobuyuki Tateoka
# IME - USP - BCC
#
# Broken Soul - TCC

#!/bin/bash

# Mudar de diretorio
cd $HOME/broken_soul/data/sprites/numeros/

echo "uhu!!!"

LIST=`ls`

echo "Rotacionando as imagens..."
for i in $LIST; do
	montage $i -geometry 8x8 $i
done

echo "... rotacao concluida."

echo ""
echo "Concatenando as imagens..."

for i in $LIST; do
	for j in $LIST; do
		for k in $LIST; do
			montage $i $j $k -geometry 8x8 -tile x1 \o.gif
			montage o.gif -geometry 24X8 $i$j$k
			mv $i$j$k ../numero0-999
		done
	done
done

for j in $LIST; do
	for k in $LIST; do
		montage $j $k -geometry 8x8 -tile x1 \o.gif
		montage o.gif -geometry 16X8 0.gif$j$k   
		mv 0.gif$j$k ../numero0-999
	done
done

rm -rf o.gif



echo "... contenacao concluida."
