#============================================================================
#This file is part of Broken Soul.
#
#    	Broken Soul is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#	
#	Broken Soul is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#	
#	You should have received a copy of the GNU General Public License
#	along with Broken Soul.  If not, see <http://www.gnu.org/licenses/>.
#===========================================================================

# Script que gera os sprites
#
# Autor: Marcos Takechi Hirata/Nobuyuki Tateoka
# IME - USP - BCC
#
# Broken Soul - TCC

#!/bin/bash

# Mudar de diretorio
cd $HOME/broken_soul/data/sprites/inimigos/rocha2

LIST=`ls`

echo "Rotacionando as imagens..."
for i in $LIST; do
	montage $i -geometry 32x32 $i
done

echo "... rotacao concluida."

echo ""
echo "Concatenando as imagens..."
montage *.gif -rotate 270 -geometry 32x32 -tile x1 \o.gif

montage o.gif -rotate 90 -geometry 32X256 rocha2.gif

rm -rf o.gif

mv rocha2.gif ../../

echo "... contenacao concluida."
