/*============================================================================
This file is part of Broken Soul.

    Broken Soul is free software: you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        Broken Soul is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with Broken Soul.  If not, see <http://www.gnu.org/licenses/>.
============================================================================*/

#include "Item.hpp"
#include <PA9.h>

class ListaLigada
{
	private:
		u8 qde;
		void consertaId();

	public:
		typedef struct _no
		{
			Item *item;
			_no *prox;
			_no *ant;
		}no;

		ListaLigada();
		void adiciona(Item *item);
		void listaItens();
		bool listaVazia();
		void remove(u8 id);
		Item *pegaItem(u8 id);
		no *lista;
		
};

















