#ifndef COMUMLIB_HPP
#define COMUMLIB_HPP

#include <PA9.h>
#include "efs_lib.h"			// EFS

#include "nf_lib.h"				// NightFox's libs
#include "nf_easylib.h"

#include "Heroi.hpp"


void carregaSpriteNaoAnimado (u8 tela, char *nomeArquivo, s16 posicaoX, s16 posicaoY, u8 tamanhoX, u8 tamanhoY);

void carregaSprite(u8 tela, char *nomeArquivo, s16 posicaoX, s16 posicaoY, u16 frame, u8 tamanhoX, u8 tamanhoY, s16 iniAnim, s16 fimAnim, s16 velAnim);

void scrollSprite(u8 tela, char *nomeArquivo, s16 posicaoX, s16 posicaoY, Heroi *heroi/*, bool sprite_cidade_carregado[], int ID*/);

void descarregaSprite(const char *nomeArquivo, int tela);

void salva_posicao_heroi_batalha(Heroi *heroi);

void pega_posicao_heroi_batalha(Heroi *heroi);

void salva_posicao_heroi_cenario(u8 tipoCenario, Heroi *heroi);

void pega_posicao_heroi_cenario(u8 tipoCenario, Heroi *heroi);

void salva_jogo(Heroi *heroi);

void pega_jogo(Heroi *heroi);

#endif
