/*========================================================================
This file is part of Broken Soul.

    Broken Soul is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	Broken Soul is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with Broken Soul.  If not, see <http://www.gnu.org/licenses/>.
===========================================================================*/

#ifndef MAIN_HPP
#define MAIN_HPP

//#include <maxmod9.h>

#include "../gfx/text_box.c"
#include "../gfx/text_box.pal.c"

#include <PA9.h>				// PA_LIB
#include <fat.h>				// Devkit

#include "efs_lib.h"			// EFS

#include "nf_lib.h"				// NightFox's libs
#include "nf_easylib.h"

#include "NPC.hpp"
//#include "Heroi.hpp"
#include "Texto.hpp"
#include "Status.hpp"
#include "splash.hpp"
#include "definicoes.hpp"
#include "Batalha.hpp"
#include "transicao.hpp"
#include "Item.hpp"
#include "colisao.hpp"
#include "apresentacao.hpp"
#include "Cenario.hpp"
#include "Sound.hpp"
#include "Inimigo.hpp"
#include "Magia.hpp"

void init();

//void carregaBackground();

//void moveBackground(s16 pos_cenario[], Heroi *hero, u8 direcao);

Batalha *modo_batalha_init(u8 musica_tocando, Heroi *heroi, Cenario *cenario);


//Sound *sons;

Batalha *batalha;

Cenario *cenario;

Texto *texto;

Magia *magia;

Texto *textoNPC[10];
Texto *textoNPCCastelo[3];
Texto *textoNPCDeserto[1];
Texto *textoNPCFloresta[3];
Texto *textoNPCCaverna[2];
u8 falaNPC[10];
u8 falaNPCCastelo[3];
u8 falaNPCDeserto[1];
u8 falaNPCFloresta[1];
u8 falaNPCCaverna[2];

Status *status;

Item *item;

Inimigo **inimigo;

Heroi *heroi;

u8 musica_tocando;	/*variavel passada como argumento indicando qual musica esta tocando no fundo, para podermos identificar qual descarregaremos qndo comecar a batalha*/

#endif
