/*=========================================================================
This file is part of Broken Soul.

    Broken Soul is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	Broken Soul is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with Broken Soul.  If not, see <http://www.gnu.org/licenses/>.
=========================================================================*/

#ifndef TRANSICAO_HPP
#define TRANSICAO_HPP

#include <PA9.h> 

#include "efs_lib.h"			// EFS

#include "nf_lib.h"				// NightFox's libs
#include "nf_easylib.h"

void transicao_fechar();
void transicao_abrir();
void transicao_clarear();
void transicao_escurecer();
void transicao_clarear_cima();
void transicao_escurecer_cima();

void brilhoNormalDualScreen();
void escureceBrilhoDualScreen();
void busyWait();
void efeitoFadeDualScreen(u8 layer, char *arquivoTop, char *arquivoBot);
void fadeScrollDualScreen(u8 layer, char *arquivoTop, char *arquivoBot);
void fadeSlideToRightScrollDualScreen(u8 layer, char *arquivoTop, char *arquivoBot);

#endif
